<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:o="urn:schemas-microsoft-com:office:office"
    xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
    xmlns:v="urn:schemas-microsoft-com:vml"
    xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
    version="1.1">
    
    <xsl:template 
        match="*|@*|comment()|processing-instruction()|text()">
        <xsl:copy>
            <xsl:apply-templates
                select="*|@*|comment()|processing-instruction()|text()"/>
        </xsl:copy>
    </xsl:template>
    
	<!-- we can trick InDesign's DOCX import provider into offering us the binary MTEF Ole object
		instead of some unusable image. This especially helps with DOCX generated on the Mac,
		as the 'EMF' preview carries no accessible MTEF data. DOCX from Windows still supports
		WMF previews with the MTEF data.
		
		The basic trick is to override the 'relation' id in 'imagedata' of the object structure to 
		refer to the id of the DOCX/word/embeddings/oleObject<N>.bin files in DOCX/word/document.xml. 
		If 'imagedata/@r:id' refers to the oleObject<N>.bin, InDesigns uses that stream when calling 
		us in the import provider...
	-->
    <xsl:template match="w:object[o:OLEObject/@ProgID='Equation.DSMT4']/v:shape/v:imagedata/@r:id">
            <xsl:attribute name="r:id">
                <xsl:value-of select="../../../o:OLEObject/@r:id"/>
            </xsl:attribute>
        
    </xsl:template>
</xsl:stylesheet>